/**
 * @file
 * Audiofield build jPlayer audio players of various types.
 */

(function ($, Drupal) {
  Drupal.behaviors.audiofield = {
    attach: function (context, settings) {
      // Default audio player.
      if (drupalSettings.audioplayer.playertype == 'default') {
        $("#jquery_jplayer_" + drupalSettings.audioplayer.fid).jPlayer(
        {
          cssSelectorAncestor: "#jp_container_" + drupalSettings.audioplayer.fid
        },
        {
          ready: function (event) {
            var media_array = {
              title: drupalSettings.audioplayer.description,
            };
            media_array[drupalSettings.audioplayer.filetype] = drupalSettings.audioplayer.file;
            $(this).jPlayer("setMedia", media_array);
          },
          swfPath: "/libraries/jplayer/dist/jplayer",
          supplied: drupalSettings.audioplayer.filetype,
          wmode: "window",
          useStateClassSkin: true,
          autoBlur: false,
          smoothPlayBar: true,
          keyEnabled: true,
          remainingDuration: false,
          toggleDuration: false,
          volume: drupalSettings.audioplayer.volume,
        });
      }
      // Playlist audio player.
      else if (drupalSettings.audioplayer.playertype == 'playlist') {
        var myPlaylist = new jPlayerPlaylist({
            jPlayer: "#jquery_jplayer_" + drupalSettings.audioplayer.fid,
            cssSelectorAncestor: "#jp_container_" + drupalSettings.audioplayer.fid
          }, [], {
          playlistOptions: {
            enableRemoveControls: false
          },
          swfPath: "/libraries/jplayer/dist/jplayer",
          wmode: "window",
          useStateClassSkin: true,
          autoBlur: false,
          smoothPlayBar: true,
          keyEnabled: true,
          volume: drupalSettings.audioplayer.volume,
        });

        $.each(drupalSettings.audioplayer.files, function (key, file_entry) {
          var media_array = {
            title: file_entry.description,
          };
          media_array[file_entry.filetype] = file_entry.file;
          myPlaylist.add(media_array);
        });
      }
      // Circle audio player.
      else if (drupalSettings.audioplayer.playertype == 'circle') {
        $.each(drupalSettings.audioplayer.files, function (key, file_entry) {
          var media_array = {};
          media_array[file_entry.filetype] = file_entry.file;
          var myCirclePlayer = new CirclePlayer(
            "#jquery_jplayer_" + file_entry.fid,
            media_array, {
            cssSelectorAncestor: "#cp_container_" + file_entry.fid,
            swfPath: "/libraries/jplayer/dist/jplayer",
            wmode: "window",
            keyEnabled: true,
            supplied: file_entry.filetype,
          });
        });
      }
    }
  };
})(jQuery, Drupal);
