/**
 * @file
 * Audiofield build WordPress audio player.
 */

(function ($, Drupal) {
  Drupal.behaviors.audiofield = {
    attach: function (context, settings) {
      $.each(drupalSettings.audioplayer.files, function (key, file_entry) {
        AudioPlayer.setup("/libraries/wordpress-audio/player.swf", {
          width: 400,
          initialvolume: drupalSettings.audioplayer.volume,
          transparentpagebg: "yes",
        });
        AudioPlayer.embed("wordpressaudioplayer_" + file_entry.fid, {
          soundFile: file_entry.file,
          titles: file_entry.title,
          autostart: "no",
          loop: "no",
          initialvolume: drupalSettings.audioplayer.volume,
          checkpolicy: "yes",
          animation: drupalSettings.audioplayer.animate,
        });
      });
    }
  };
})(jQuery, Drupal);
